## AgsApplySequencerLength

AgsApplySequencerLength — apply sequencer length to delay audio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplySequencerLength * | ags_apply_sequencer_length_new ()

## Properties

GObject * | scope | Read / Write
double | sequencer-length | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplySequencerLength

## Includes

    #include <ags/audio/task/recall/ags_apply_sequencer_length.h>

## Description

The AgsApplySequencerLength task applys sequencer length to AgsDelayAudio.

## Functions

### ags_apply_sequencer_length_new ()

    AgsApplySequencerLength *
    ags_apply_sequencer_length_new (GObject *scope,
                                    gdouble length);

Creates an AgsApplySequencerLength.

#### Parameters

scope | the GObject |
length | the sequencer length to apply |

#### Returns

an new AgsApplySequencerLength.

Since: 3.0.0

## Property Details

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsApplySequencerLength

Flags: Read / Write

Since: 3.0.0

### The `“sequencer-length”` property

      “sequencer-length”         double

The sequencer length to apply to scope.

Owner: AgsApplySequencerLength

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 3.0.0